print('Task 1_IF')
# Если значение некой переменной больше 0, выводилось бы специальное
# сообщение. Один раз выполните программу при значении переменной
# больше 0, второй раз — меньше 0.
a = 10
if a > 0:
    print("a > 0")

b = 53
if b < 0:
    print("a < 0")

print('Task 2_IF')
# Усовершенствуйте предыдущий код с помощью ветки else так, чтобы в
# зависимости от значения переменной, выводилась либо 1, либо -1
if a > 0:
    print(1)
else:
    if 0 < b:
        print(-1)

print('Task 3_IF')
# Самостоятельно придумайте программу, в которой бы использовалась
# инструкция if (желательно с веткой elif). Вложенный код должен
# содержать не менее трех выражений
a = -2
if a > 0:
    print('Переменная больше 0')
elif a < 0:
    print('Переменная меньше 0')
else:
    print('Переменная равна 0')

print("Task 1_ELIF")
# Напишите программу по следующему описанию:
# a. двум переменным присваиваются числовые значения;
a = 30
b = 24

# b. если значение 1 переменной больше 2, то найти разницу значений
# переменных (вычесть из 1 - 2), результат связать с 3 переменной;
if a > b:
    c = a - b
    print(c)

# c. если 1 переменная имеет меньшее значение, чем 2, то 3 переменную
# связать с результатом суммы значений двух первых переменных;
elif a < b:
    c = a + b
    print(c)
# d. во всех остальных случаях, присвоить 3 переменной значение
# 1ой переменной;
# e. вывести значение третьей переменной на экран
else:
    c = a
    print(c)

print("Task 2_ELIF")
# Придумайте программу, в которой бы использовалась инструкция
# if-elif-else. Количество ветвей должно быть как минимум четыре.
print('Задание не сделано')

print('Task 1_FOR')
# Создайте список, состоящий из четырех строк. Затем, с помощью
# цикла for, выведите строки поочередно на экран.
ay1 = ['red', 'green', 'blue', 'black']
for i in ay1:
    print(i)

print('Task 2_FOR')
# Измените предыдущую программу так, чтобы в конце каждой буквы строки
# добавлялось тире. (Подсказка: цикл for может быть вложен
# в другой цикл.)
for i in ay1:
    print(i + '-'.join(i))

print('Task 3_FOR')
# Создайте список, содержащий элементы целочисленного типа, затем с
# помощью цикла перебора измените тип данных элементов на числа с
# плавающей точкой. Подсказка: используйте встроенную функцию float()
a = list(range(10))
for i in a:
    print(float(i))

print('Task 1_WHILE')
# Напишите скрипт на языке программирования Python, выводящий ряд чисел
# Фибоначчи. Запустите его на выполнение. Затем измените код так, чтобы
# выводился ряд чисел Фибоначчи, начиная с 5ого члена ряда и
# заканчивая 20ым
print('Задание не сделано')

print('Task 2_WHILE')
# Напишите цикл, выводящий ряд четных чисел от 0 до 20.
i = 0
while i <= 20:
    print(i, end=";")
    i = i + 2
print()

# Затем, каждое третье число в ряде от -1 до -21.
i = -1
while i > - 22:
    print(i, end=";")
    i = i - 3
print()

print('Task 3_WHILE')
# Самостоятельно придумайте программу на Python, в которой бы
# использовался цикл while. В комментарии опишите что она делает.
print('Задание не сделано')

print("Task 1_INPUT")
# Напишите программу, которая запрашивает у пользователя:
# - его имя (например, "What is your name?")
name = input("What is your name?")

# - возраст ("How old are you?")
age = input("How old are you?")

# - место жительства ("Where are you live?")
location = input("Where are you live?")

# После этого выводила бы три строки:
# "This is имя"
print("My name is", name)

# "It is возраст"
print("I am", age, "years old")

# "(S)he lives in место_жительства"
print("I live in", location)

print("Task 2_INPUT")
# Напишите программу, которая предлагала бы пользователю решить пример
# 4 * 100 - 54. Потом выводила бы на экран правильный ответ и ответ
# пользователя
print("Решите пример: 4 * 100 - 54")
answer = input("Введите ваш ответ: ")
if answer == '346':
    print("Ответ верный!")
else:
    print("Ваш ответ: ", answer)
    print("Правильный ответ: 346")

print("Task 3_INPUT")
# Запросите у пользователя четыре числа. Отдельно сложите первые два
# и отдельно вторые два. Разделите первую сумму на вторую.
# Выведите результат на экран так, чтобы ответ содержал две цифры
# после запятой.
print("write 4 random numbers, please: ")
a = input("1st is - ")
b = input("2nd is - ")
c = input("3rd is - ")
d = input("4th is - ")
print((round(float(a + b) / (float(c + d)), 2)))

print('Task 1')
# Из заданной строки получить нужную строку:
# "String" => "SSttrriinngg"
# "Hello World" => "HHeelllloo  WWoorrlldd"
# "1234!_ " => "11223344!!__  "

for i in ' String':
    print(i * 2, end='')
print()
for i in ' Hello World':
    print(i * 2, end='')
print()
for i in ' 1234!_ ':
    print(i * 2, end='')
print()

print("Task 2")
x = 2077
if x ** 2 > 1000:
    print("Hot")
else:
    print("Nope")

print('Task 3')
# Сложите все числа в списке, они могут быть отрицательными,
# если список пустой вернуть 0
# [] == 0
# [1, 2, 3] == 6
# [1.1, 2.2, 3.3] == 6.6
# [4, 5, 6] == 15
# range(101) == 5050

a = []
a1 = [1, 2, 3]
a2 = [1.1, 2.2, 3.3]
a3 = [4, 5, 6]
a4 = range(101)

print(sum(a))
print(sum(a1))
print(sum(a2))
print(sum(a3))
print(sum(a4))
